import { Base, Nullable$1, Type } from "igniteui-webcomponents-core";
import { IWorkbookFont } from "igniteui-webcomponents-excel";
import { FormattedStringFont } from "igniteui-webcomponents-excel";
import { WorksheetCellFormatData } from "igniteui-webcomponents-excel";
import { WorkbookColorInfo } from "igniteui-webcomponents-excel";
import { FontSuperscriptSubscriptStyle } from "igniteui-webcomponents-excel";
import { FontUnderlineStyle } from "igniteui-webcomponents-excel";
/**
 * @hidden
 */
export declare class FormattedStringFontResolved extends Base implements IWorkbookFont {
    static $t: Type;
    private _b;
    private _a;
    constructor(a: FormattedStringFont, b: WorksheetCellFormatData);
    _c(a: FormattedStringFont, b: WorksheetCellFormatData): void;
    setFontFormatting(a: IWorkbookFont): void;
    get bold(): boolean | null;
    set bold(a: boolean | null);
    get _bold$i(): Nullable$1<boolean>;
    set _bold$i(a: Nullable$1<boolean>);
    get colorInfo(): WorkbookColorInfo;
    set colorInfo(a: WorkbookColorInfo);
    get height(): number;
    set height(a: number);
    get italic(): boolean | null;
    set italic(a: boolean | null);
    get _italic$i(): Nullable$1<boolean>;
    set _italic$i(a: Nullable$1<boolean>);
    get name(): string;
    set name(a: string);
    get strikeout(): boolean | null;
    set strikeout(a: boolean | null);
    get _strikeout$i(): Nullable$1<boolean>;
    set _strikeout$i(a: Nullable$1<boolean>);
    get superscriptSubscriptStyle(): FontSuperscriptSubscriptStyle;
    set superscriptSubscriptStyle(a: FontSuperscriptSubscriptStyle);
    get underlineStyle(): FontUnderlineStyle;
    set underlineStyle(a: FontUnderlineStyle);
}
